xttpd(8)

NAME
xttpd - Harmonic tide clock and tide predictor (web server)

SYNOPSIS
xttpd [port] [-dc color] [-Dc color] [-df ``format-string''] [-ec color] [-el y|n] [-em pSsMm] [-fc color] [-fg color] [-ga aspect] [-gh pixels] [-gt y|n] [-gw pixels] [-hf ``format-string''] [-in y|n] [-lw pixels] [-mc color] [-Mc color] [-nc color] [-nf y|n] [-tf ``format-string''] [-tl y|n] [-u ft|m] [-v] [-z y|n]

DESCRIPTION
XTide is a package that provides tide and current predictions in a wide variety of formats. Graphs, text listings, and calendars can be generated, or a tide clock can be provided on your desktop.

XTide can work with X-windows, plain text terminals, or the web. This is accomplished with three separate programs: the interactive interface (xtide), the non-interactive or command line interface (tide), and the web interface (xttpd).

xttpd is an XTide web server. It provides web-based access to XTide's tide predictions by allowing a web browser to speak directly to the XTide program in HTTP. xttpd can replace httpd or it can co-exist with one.

If you run xttpd with no command line arguments, it will assume that it is replacing httpd and try to bind port 80. If you want it to co-exist with an existing server, or if you do not have privilege to get port 80, give it the port number as the first command line argument:
    % xttpd 8080
You will then need to link it up as http://www.wherever.org:8080/ instead of just http://www.wherever.org/, but otherwise, no damage done. Similarly, if you wish to bind a specific address, you can specify that as the first argument:
    % xttpd 127.0.0.2
If you need to specify both address and port number, separate the two with a slash, like this:
    % xttpd 127.0.0.2/8080

Once the port is established, xttpd will try to set its UID and GID to values that were specified at compile time. If it is unable to do this, it will log failure messages to syslog and then exit. Consequently, if it is to be started by someone other than root, that user's UID and GID must be configured at compile time. Instructions for doing this are available at http://www.flaterco.com/xtide/installation.html.

For a complete discussion of the command line options and a detailed explanation of the XTide package, please see the verbose documentation at http://www.flaterco.com/xtide/.

CONFIGURATION
Unless a configuration file /etc/xtide.conf is supplied, you must set the environment variable HFILE_PATH to point to the harmonics files that should have been installed along with the xtide program. Example:
    export HFILE_PATH=/usr/local/share/xtide/harmonics.tcd
If a configuration file is used, the first line should consist of the colon-separated list of harmonics files (e.g. the HFILE_PATH line above without the "export HFILE_PATH=" part). The environment variable takes precedence over the configuration file.

Set the environment variable XTTPD_FEEDBACK to change the mail feedback address for xttpd.

OPTIONS

-dc color
    Daytime background color in tide graphs (default SkyBlue).

-Dc color
    Color of datum line in tide graphs (default white).

-df ``format-string''
    strftime(3) style format string for printing dates (default %Y-%m-%d).

-ec color
    Foreground in tide graphs during outgoing tide (default SeaGreen).

-el y|n
    Select whether or not to draw datum and middle-level lines in tide graphs (default n).

-em pSsMm
    Events to suppress (p = phase of moon, S = sunrise, s = sunset, M = moonrise, m = moonset), or x to suppress none. E.g, to suppress all sun and moon events, set eventmask to the value pSsMm.

-fc color
    Foreground in tide graphs during incoming tide (default Blue).

-fg color
    Color of text and other notations (default black).

-ga aspect
    Aspect for tide graphs (default 1.0). This controls not the width or height of the window but rather the relative scaling of the X and Y axes in the plot of the tide curve.

-gh pixels
    Height for tide graphs (default 312 pixels).

-gt y|n
    Select whether or not to label tenths of units in tide graphs (default n).

-gw pixels
    Width for tide graphs (default 960 pixels).

-hf ``format-string''
    strftime(3) style format string for printing hour labels on time axis (default %l).

-in y|n
    Select whether or not to use inferred values for some constituents (default n). For expert use only.

-lw pixels
    Width for lines in tide graphs with -nf (default 2.5 pixels).

-mc color
    Color of mark line in graphs (default red).

-Mc color
    Color of middle-level line in tide graphs (default yellow).

-nc color
    Nighttime background color in tide graphs (default DeepSkyBlue).

-nf y|n
    Select whether or not to draw tide graphs as line graphs (default n).

-tf ``format-string''
    strftime(3) style format string for printing times (default %l:%M %p %Z).

-tl y|n
    Select whether or not to draw depth lines on top of the tide graph (default n).

-u ft|m
    Preferred units of length (default no preference).

-v  Print version string and exit.

-z y|n
    Select whether or not to coerce all time zones to UTC (default n).

SEE ALSO
tide(1), xtide(1), http://www.flaterco.com/xtide/.